Android Studio 3.2로 안드로이드 앱을 개발을 다시 시작하게 되었다.


1. 현

첫 Android 프로젝트 생성하여 빌드할 때 다음과 같은 오류가 발생한다.


2. 원인

오류가 난 이유는 안드로이드 스튜디오에 28.0.2 버전의 Build Tools이 설치되어 있지 않아서 발생하는 오류이다.

안드로이드 스튜디오를 설치 후 처음으로 프로젝트를 만들 때는 필요한 빌드 도구를 자동으로 내려받아 설치하므로 오류가 없다.

하지만 안드로이드 스튜디오를 갱신한 후 만든 프로젝트는 새로운 빌드 환경에 맞는 도구가 없어 오류가 발생할 수 있다.


3. 해결책

빌드 도구의 특정 버전을 설치하고 다시 빌드하여 해결할 수 있다.


4. 세부 절차

Tools > SDK Manager 메뉴를 선택한다.


안드로이드 SDK Manager 창에서 [SDK Tools] 탭으로 이동한다.


빌드 도구는 설치되어 있다고 나타나지만 안드로이드의 모든 빌드 버전이 설치된 것이 아니다.

오른쪽 아래의 [Show Package Details]를 선택한다.


오류가 발생한 28.0.2 버전은 설치가 되어 있지 않다.


해당 버전을 선택하면 아래와 같이 빌드 도구가 설치된다.


Build > Rebuild project 메뉴로 빌드를 다시하면 오류 없이 성공한다.

+ Recent posts

티스토리 툴바